# Connections

## Get list of Connections

> Returns a paginated list of Backup & Archive Connections with customizable page size

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"PaginatedDto":{"type":"object","properties":{"total":{"type":"number","description":"Total number of entities."},"items":{"type":"array","items":{"type":"string"}}},"required":["total","items"]},"ConnectionFindResponseDto":{"type":"object","properties":{"id":{"type":"number"},"externalId":{"type":"number"},"name":{"type":"string","description":"Connection name"},"userName":{"type":"string","description":"Username for authenticating the connection."},"salesforceOrgType":{"type":"string","enum":["PRODUCTION","SANDBOX"],"description":"Salesforce organization type: SANDBOX or PRODUCTION"}},"required":["id","externalId","name","userName","salesforceOrgType"]},"ValidationExceptionDto":{"type":"object","properties":{"error":{"type":"string","nullable":true},"message":{"type":"array","items":{"type":"string"}},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["error","message","statusCode"]}}},"paths":{"/api/v1/connections":{"get":{"operationId":"ConnectionsController_find","summary":"Get list of Connections","description":"Returns a paginated list of Backup & Archive Connections with customizable page size","parameters":[{"name":"search","required":false,"in":"query","description":"Search term (max 80)","schema":{"type":"string"}},{"name":"page","required":true,"in":"query","description":"Number of page (min 1)","schema":{"type":"number"}},{"name":"limit","required":true,"in":"query","description":"Limit of entities per page (min 1, max 2000)","schema":{"type":"number"}}],"responses":{"200":{"description":"Returns a paginated list of Backup & Archive Connections","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PaginatedDto"},{"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ConnectionFindResponseDto"}}}}]}}}},"400":{"description":"Incorrect request data is provided. For example, page or limit parameters are missing","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationExceptionDto"}}}}},"tags":["Connections"]}}}}
```

## Get Connection by Id

> Returns the Backup & Archive Connection by Id

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"ConnectionFindByIdResponseDto":{"type":"object","properties":{"id":{"type":"number"},"externalId":{"type":"number"},"name":{"type":"string","description":"Connection name"},"userFullName":{"type":"string","description":"Full name of user for authenticating the connection."},"userName":{"type":"string","description":"Username for authenticating the connection."},"salesforceOrgId":{"type":"string","description":"Salesforce organization ID"},"salesforceOrgType":{"type":"string","enum":["PRODUCTION","SANDBOX"],"description":"Salesforce organization type: SANDBOX or PRODUCTION"}},"required":["id","externalId","name","userFullName","userName","salesforceOrgId","salesforceOrgType"]},"ValidationExceptionDto":{"type":"object","properties":{"error":{"type":"string","nullable":true},"message":{"type":"array","items":{"type":"string"}},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["error","message","statusCode"]},"NotFoundExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]}}},"paths":{"/api/v1/connections/{connectionId}":{"get":{"operationId":"ConnectionsController_findById","summary":"Get Connection by Id","description":"Returns the Backup & Archive Connection by Id","parameters":[{"name":"connectionId","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"Returns the Backup & Archive Connection by Id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionFindByIdResponseDto"}}}},"400":{"description":"Incorrect request data is provided. For example, connectionId isn't a valid number","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationExceptionDto"}}}},"404":{"description":"Connection not found with the provided Id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundExceptionDto"}}}}},"tags":["Connections"]}}}}
```

## Get Connection Id by Salesforce organization Id

> Returns the Backup & Archive Connection Id by Salesforce organization Id

```json
{"openapi":"3.0.0","info":{"title":"Flosum Backup API Service","version":"4.6.12-test.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer <access_token>"}},"schemas":{"GetConnectionIdBySalesforceOrgIdResponseDto":{"type":"object","properties":{"connectionId":{"type":"number"}},"required":["connectionId"]},"ValidationExceptionDto":{"type":"object","properties":{"error":{"type":"string","nullable":true},"message":{"type":"array","items":{"type":"string"}},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["error","message","statusCode"]},"NotFoundExceptionDto":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string","nullable":true},"statusCode":{"type":"number","enum":[100,101,102,103,200,201,202,203,204,205,206,300,301,302,303,304,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,421,422,424,428,429,500,501,502,503,504,505]}},"required":["message","error","statusCode"]}}},"paths":{"/api/v1/connections/connectionId/{salesforceOrgId}":{"get":{"operationId":"ConnectionsController_getConnectionId","summary":"Get Connection Id by Salesforce organization Id","description":"Returns the Backup & Archive Connection Id by Salesforce organization Id","parameters":[{"name":"salesforceOrgId","required":true,"in":"path","description":"Salesforce organization Id","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns the Backup & Archive Connection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetConnectionIdBySalesforceOrgIdResponseDto"}}}},"400":{"description":"Incorrect request data is provided. For example, Salesforce Id has invalid length","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationExceptionDto"}}}},"404":{"description":"Connection not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundExceptionDto"}}}}},"tags":["Connections"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flosum.com/api/api-de/sicherungs-and-archiv-api/connections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
